<template>
  <div>
    <div>
      <div class="page-container">
        <page-title
          :options="{
            title: $t('team.title'),
            boldSubTitle: '',
            textContent: [$t('team.desc')]
          }"
        />

        <div class="team-info">
          <div v-for="member in members" :key="member.name" class="member">
            <img :src="member.img" :alt="member.name" :title="member.name" />
            <div class="text">
              <h4>{{ member.name }}</h4>
              <h6>{{ member.position }}</h6>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import PageTitleComponent from '@/components/PageTitleComponent';

import wada from '@/assets/images/team/Wada.jpg';
import jason from '@/assets/images/team/Jason.jpg';
import ed from '@/assets/images/team/Ed.jpg';
import chris from '@/assets/images/team/Chris.jpg';
import terry from '@/assets/images/team/Terry.jpg';
import kristina from '@/assets/images/team/Kristina.jpg';


export default {
  components: {
    'page-title': PageTitleComponent
  },
  data() {
    return {
      members: [
        {
          name: 'Wada Taiyu',
          position: 'Chairman',
          img: wada
        },
        {
          name: 'Jason Kim',
          position: 'CIO',
          img: jason
        },
        {
          name: 'Ed Kim',
          position: 'CTO',
          img: ed
        },
        {
          name: 'Chris Lee',
          position: 'Strategy and Tokenization',
          img: chris
        },
        {
          name: 'Terry Wilkinson',
          position: 'President of Engineering',
          img: terry
        },
        {
          name: 'Kristina Semenova',
          position: 'Head of Promotions',
          img: kristina
        }
      ]
    };
  }
};
</script>

<style lang="scss" scoped>
@import 'TeamLayout.scss';
</style>
